Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000172Core InformUnderstandingpublic2010-07-05 07:052010-10-28 00:30
Reporterfundin 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionVista
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000172: Odd problem message when trying to understand values matching a description
DescriptionThe example source results in this problem report:

Problem. You wrote '"undo"': but this is not a condition I am able to test, or at any rate not during play.
Minimal Source Text To Reproduce
Home is a room.

Dialing is an action applying to one number. Understand "dial [a positive number]" as dialing.

Additional InformationNot sure if the source is valid or not, but I'm guessing not.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0000245)
EmacsUser (manager)
2010-07-05 21:13

Interesting. Adding, for instance, this:

Table of Letters
Topic
"z"

causes the error message to change from mentioning ``undo'' to mentioning ``z.'' In general, Inform seems to cite the last appearance of an entry in a topic column. Topics columns also deal with understanding, though I can't guess what the interaction here is.
(0000495)
graham (administrator)
2010-09-03 12:05

Fixed.

- Issue History
Date Modified Username Field Change
2010-07-05 07:05 fundin New Issue
2010-07-05 21:13 EmacsUser Note Added: 0000245
2010-07-05 21:13 EmacsUser Status new => confirmed
2010-09-03 12:05 graham Note Added: 0000495
2010-09-03 12:05 graham Status confirmed => resolved
2010-09-03 12:05 graham Resolution open => fixed
2010-09-03 12:05 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker